Subject: bug#29203: 26.0.50; Binding a key to (MAP . CHAR) no longer works

From: Fox Kiester <[email-masked]>
Date: Tue, 7 Nov 2017 21:54:32 -0500

According to the docstring of define-key, a cons of (MAP . CHAR) is a valid
key definition that will act as CHAR in MAP. This worked in previous
versions of Emacs but now causes an error when the keybinding is executed:
"Wrong type argument: commandp..."

Initial discussion took place here:
https://emacs.stackexchange.com/questions/36641/binding-a-key-to-map-char